Jump to content

Recommended Posts

Posted

Is There Any Way To Make Circle As Polyline So I Can Make It With Width I Need?

Posted

Don't do that... just start the POLYLINE command, then type A for Arc. when you do that, you can create a circle by simply using your POLAR tracking to make two "arcs". The width should be self explanatory after that. :)

Posted

Or go for a Donut, which is a polyline circle with width :)

  • Thanks 1
Posted

Use the BOUNDARY command and pick a point inside the circle. AutoCAD will create a polyline on top of the circle.

Posted

Here's another option Adding global width to a circle

Here's a little trick I learned a while back. I needed to add thickness to a circle & found a slick way to do it. Here goes: Start by making a polygon with 4 sides. Check inscribed in circle when prompted. Next specify your radius. That will create a square. Then select polyline edit, then select fit, then width. Tah Dah! You have a circle with a global width!

Posted

start w/ polyline, set width. w ( upon your choice) then arc.

Posted

or make a polyline that is set upon a width then matchprop the line to your created circle.

Posted
Use the BOUNDARY command and pick a point inside the circle. AutoCAD will create a polyline on top of the circle.

 

Oh now that's a beauty! Cheers prof.

  • 9 years later...
Posted

I agree with Bonehead, I prefer the method that profcad offered.  Thanks profcad.

 

Posted

I use one by Jason Piercey

 

;Written By: Jason Piercey 07.31.01
;Revised: 01.16.02 To handle multiple selection

(defun C:Circle2Pline (/ CirEnt    CirElst   CirCen    CirRad
                         CirLay    CirLin    CirClr    CirLts
                         PlineEnt  ss        i)

  (setq ss (ssget '((0 . "CIRCLE"))))
  (if ss
    (progn
      (setq i 0)
      (repeat (sslength ss)
        (setq CirEnt (ssname ss i)
              CirElst (entget CirEnt)
              CirCen  (cdr (assoc 10 CirElst))
              CirRad  (cdr (assoc 40 CirElst))
              CirLay  (cdr (assoc  8 CirElst))
              CirLin  (cdr (assoc  6 CirElst))
              CirClr  (cdr (assoc 62 CirElst))
              CirLts  (cdr (assoc 48 CirElst))
              )

        (setq PlineEnt (list '(0 . "LWPOLYLINE")
                             '(100 . "AcDbEntity")
                             (cons 8 CirLay)
                             '(100 . "AcDbPolyline")
                             '(90 . 2)
                             '(70 . 1)
                             '(43 . 0.0)
                             '(38 . 0.0)
                             '(39 . 0.0)
                             (cons 10 (polar CirCen (* pi) CirRad))
                             '(40 . 0.0)
                             '(41 . 0.0)
                             '(42 . 1.0)
                             (cons 10 (polar CirCen (* pi 2.0) CirRad))
                             '(40 . 0.0)
                             '(41 . 0.0)
                             '(42 . 1.0)
                             '(210 0.0 0.0 1.0)
                             )
              )

        (if CirLin (setq PlineEnt (append PlineEnt (list (cons 6
CirLin)))))
        (if CirClr (setq PlineEnt (append PlineEnt (list (cons 62
CirClr)))))
        (if CirLts (setq PlineEnt (append PlineEnt (list (cons 48
CirLts)))))
        (entmake PlineEnt)
        (entdel CirEnt)
        (setq i (1+ i))
        )
      )
    )
  (princ (strcat "\n"(itoa i) " Circles converted to LwPolylines"))
  (princ)
  )

 

Circle2Pline.lsp

Posted

I did not see this listed, but another alternative would be to draw a polygon with a lot (say 500?) sides. 

It won't be a true arc or circle obviously, but there may be a case where you need line segments that look like a circle (example: XCLIP)

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...